package com.ltgk.common.enums;


import lombok.Getter;

/**
 * 渔船类型枚举类
 *
 * @author Qi ChengBin
 * @date 2025/03/28
 */
@Getter
public enum DsBoatTypeEnums {

    PROCESSING(1, "加工渔船", "Processing boat"),
    AQUACULTURE_BOAT(2, "养殖船", "Culture vessel"),
    LEISURE(3, "休闲渔船", "Leisure fishing boat"),
    DOMESTIC_CATCHING(4, "国内捕捞船", "Domestic fishing boat"),
    CATCHING_ASSISTANCE(5, "捕捞辅助船", "Fishing aid boat"),
    ;

    private final Integer code;
    private final String desc;
    private final String enDesc;

    DsBoatTypeEnums(Integer code, String desc, String enDesc) {
        this.code = code;
        this.desc = desc;
        this.enDesc = enDesc;
    }
}
